Плагин для госуслуг

Ошибка вылезает после установки специальных программ (УЭК)

После успешной авторизации вам предлагается скачать спецутилиты для оптимальной работы. Это обязательная часть для всех, кто использует ЭЦП, игнорировать не получится.

  • Скачиваем первую программу «Plugin для работы с электронной подписью». К сожалению, она бесперебойно работает исключительно в Google Chrome — популярный Firefox вовсе не реагирует на установку.
  • Перезагружаем браузер и разрешаем плагину работать.

У вас нет действующих сертификатов

Именно в этот момент большинство сталкивается с рассматриваемой ошибкой «У вас нет действующих сертификатов» в Госуслугах – решение оказывается до идиотизма простым:

  • Находим в поисковике сайт «Крипто-Про» (или другой криптопровайдер, токен) и заходим на ресурс.
  • Не забываем подключить собственный кардридер к ПК (лучше сделать до регистрации).
  • Проходим процедуру регистрации на «Крипто-Про», после чего скачиваем утилиту «КриптоПро УЭК CSP».
  • После успешной установки вышеупомянутой программы вам предложат установить плагин, входящий в комплект – соглашаемся.

В принципе, на этом все проблемы должны закончится, но у некоторых они всё же остаются – тогда прибегаем к крайним мерам.

Отдельный момент — операционная система. Бывает и такое, что на устаревших операционках (Windows XP, Vista, MAC OS) ЭПЦ может сбоить и не вставать как положено. Попробуйте применить последние обновления и проверьте саму программу на соответствие вашей версии ОС.

Нет действующих сертификатов в Госуслугах – «тяжёлые» случаи.

Если все вышеуказанные манипуляции не привели к «счастливому концу», остаётся лишь два варианта – просрочка сертификата или мелкие баги в браузере. Сначала разберёмся с первым – это кажется очевидным проколом, но до него додумываются отнюдь не все при возникновении проблем.

  • Вспоминаем или узнаём, в какой компании получали ЭПЦ.
  • Звоним соответствующей организации для уточнения вопроса.

Всё просто? Так и есть – просто люди привыкли искать во всём подвох. Скорее всего, у вас просто закончился срок действия сертификата или же у компании, которая его предоставила, возникли временные трудности.

Со вторым вариантом всё ненамного сложнее – нужно лишь чётко и правильно выполнить простые инструкции:

  • Заходим в настройки браузера (три точки в правом верхнем углу, выбираем из списка).
  • Прокручиваем открывшееся окно до конца и открываем пункт «Дополнительные настройки».
  • Ищем раздел «Личные данные», где заходим в пункт «Настройки контента».
  • Открываем «Файлы Cookie» и вводим ссылку на сайт в соответствующем окне.
  • Соглашайтесь со всеми сохранениями нажатием «Готово».

Настройка файлов cookies в браузере Chrome

Важно – убедитесь, что напротив введённой ссылки будет стоять отметка «Разрешить» («Allow»). Также убедитесь, что сайт внесен в список доверенных.

В редких случаях, приходится полностью переустанавливать соответствующие программы на ПК и вновь прописывать все пути к папкам с сертификатами. Надеемся, что эта статья была полезной для вас – пользуйтесь современными решениями бизнеса с удовольствием!

Сегодня физические и юридические лица могут решить ряд важных вопросов с государственными, муниципальными и федеральными службами, без траты времени на походы в эти инстанции. Для этого в России есть уникальный веб-ресурс Gosuslugi.ru. В полной мере ощутить его возможности и облегчить себе решение множества задач смогут те пользователи, у кого есть электронная подпись и чей аккаунт получил статус «Подтвержденный». Конечно, портал доступен всем пользователям, но если нужно подать некоторые виды документов (требующих наличия персональной подписи) через Госуслуги, а у вас нет действующих сертификатов, то значит, система не сможет провести все операции дистанционно, и вам придется разъезжать по разным инстанциям. Значит, её получить желательно.

Интересен и другой момент. Одним из частых обращений людей к службе техподдержки и с вопросами о возможных путях решения проблемы в 2019 была ошибка, выдаваемая системой Госуслуги о том, что у вас нет действующих сертификатов, тогда как на самом деле все есть. Откуда проблема, что это может быть и как её устранить?

Появление проблем после установки первых утилит

Бывает так, что система Госуслуги сообщает, что у вас нет действующих сертификатов после установки первых утилит, а они являются обязательными для оптимальной работы и без этого не обойтись. Начинают все пользователи с установки именно плагина для работы с ЭП, но не все знают, что без проблем она работает только в Chrome, тогда как Firefox на эту программу вообще не реагирует. Поэтому, начните с того, что перезагрузите браузер, и бывает, что данного действия оказывается достаточно, чтобы плагин работал.

Еще один простой вариант решения проблемы на портале Госуслуг о том, что у вас нет действующих сертификатов, заключается в КриптоПро. Найдите в поисковике этот сайт или ресурс иного криптопровайдера, зайдите на него, не забыв до регистрации подключить к ПК персональный картридер, затем на ресурсе скачайте утилиту «КриптоПро УЭК CSP», по окончании установления которой будет предложена установка плагина, включенного в комплектацию. Соглашайтесь.

После этого практически во всех случаях проблема устраняется. Если нет – обратитесь в центр, где была получена ЭП.

Особенности установки плагина для Госуслуг

Для начала необходимо скачать установочный файл. Делать это настоятельно рекомендуется по официальной ссылке ds-plugin.gosuslugi.ru – при переходе автоматически откроется окно, в котором предлагается сохранить файл IFCPlugin.msi. Выбираем «Сохранить» и контролируем окончание процесса загрузки.

При этом автоматически определяется версия и разрядность операционной системы, установленной на компьютере, и предлагается для скачивания соответствующая версия установочного файла. Проверить правильность определения разрядности и версии ОС можно, кликнув правой кнопкой мыши «Компьютер» в проводнике, и в открывшемся меню выбрав «Свойства» или через «Панель управления». Это справедливо для операционных систем семейства Windows.

Помимо Microsoft Windows x32 и x64, знакомых большинству пользователей, предусмотрена поддержка операционных систем MacOS от Apple и некоторых распространенных версий Linux – с полным списком можно ознакомиться, прокручивая вниз страницу для скачивания установочного файла в браузере.

Разработчики предупреждают, что если ранее была установлена предыдущая версия плагина – ее надо корректно удалить с компьютера. В ручном режиме это выполняется следующим образом: вставить в адресную строку окна проводника строку «C:\Users\%USERPROFILE%\AppData\Roaming\Rostelecom\IFCPlugin» – копированием без кавычек и удалить в открывшейся папке все, что там обнаружится.

Настройка популярных браузеров для работы с плагином

Google Chrome

Разработчики обращают внимание, что поддерживаются версии Google Chrome от 29.0 и выше – в случае необходимости достаточно выполнить обновление. При первом открытии после установки плагина браузер может автоматически обнаружить это и предложит его включить.

В верхнем правом углу среди браузерных расширений появился значок плагина, при нажатии на который открывается соответствующее меню для управления его работой.

Иконка плагина при входе на сайт Госуслуг становится активной – окрашивается в цвета государственного триколора, на других вкладках она остается серой, неактивной.

Если этого не произошло – плагин необходимо включить через управление расширениями.

Если плагин установился некорректно или не находится в списке установленных в браузере расширений – его можно скачать бесплатно непосредственно из интернет магазина Chrome по адресу chrome.google.com – скопировать прямую ссылку без кавычек и вставить в адресную строку браузера. Предварительно не помешает проверить обновление самого Google Chrome до последней версии – возможно, проблема уйдет сама собой.

Internet Explorer

Разработчики утверждают, что поддерживаются версии MS Internet Explorer начиная с 8.0 – это справедливо, видимо, не для всех сборок. Для продвинутых пользователей обновить MS IE до актуальной версии не составит труда. Но настроить этот браузер, чтобы плагин портала Госуслуг мог в нем корректно работать, наиболее трудоемкая часть в сравнении с другими обозревателями.

После того, как браузер перезапущен по окончании установки плагина, понадобится сделать несколько настроек безопасности. Нажимаем «Сервис» (пиктограмма шестеренки в правом верхнем углу), выбираем «Свойства браузера» в открывшемся окошке находим вкладку «Безопасность», а на ней «Надежные узлы». Добавляем Госуслуги в список надежных узлов: вводим «https://*.gosuslugi.ru» и жмем «Добавить», и далее – «Закрыть».

Готово. На странице входа в личный кабинет портала Госуслуг выбираем «Вход с помощью электронной подписи».

Если носитель не был вставлен, то далее система предложит вставить носитель ключа ЭЦП.

Mozilla Firefox

Mozilla Firefox дружественно относится к плагину для работы с электронной подписью. Достаточно открыть меню, выбрать «Дополнения», далее – «Расширения». Установленный плагин отображается в списке имеющихся расширений, остается только его включить.

При нажатии на «Включить» появится дополнительное окошко с предупреждением – в нем тоже надо выбрать «Включить».

Иконка расширения меняет свой цвет – вместо серого окрашивается в цвета государственного флага – расширение стало активным.

Яндекс браузер

Поклонникам софта от Yandex работать с плагином для ЭЦП, к сожалению, не получится. На настоящий момент Яндекс-браузер не входит в список поддерживаемых обозревателей – расширение устанавливаться на него просто не будет.

Установка плагина для работыс порталом государственных услуг

Поддерживаемые браузеры:

  • Internet Explorer версии 8.0 и выше;
  • Safari версии версии 12 и выше;
  • Mozilla Firefox версии 59.0 и выше;
  • Google Chrome версии 29.0 и выше;

Список криптопровайдеров и токенов, с которыми умеет работать плагин:

Для Windows

Криптопровайдеры:

  • КриптоПро CSP,ViPNet CSP, Signal-COM CSP, ЛИССИ-CSP

Токены:

  • Рутокен ЭЦП, Рутокен ЭЦП 2.0, JaCarta ГОСТ, JaCarta-2 ГОСТ, eToken ГОСТ

Для Linux и MacOS

Только токены:

  • Рутокен ЭЦП, Рутокен ЭЦП 2.0, JaCarta ГОСТ, JaCarta-2 ГОСТ, eToken ГОСТ

Для вашей системы рекомендуется следующая версия плагина. Загрузка начнется автоматически.

Операционная система Плагин Версия
Microsoft Windows 7/8/10, 32-bit 3.0.7.0

Если этого не произошло, нажмите на ссылку загрузки.
При появлении диалогового окна с кнопками «Выполнить» и «Сохранить» выберите «Выполнить».
Внимание! Для корректной установки плагина рекомендуется вручную удалить предыдущие версии плагина через Панель управления, предварительно закрыв все окна бразуера(ов) на компьютере.

Поддерживаются следующие варианты установки:

Операционная система Плагин Версия
Microsoft Windows 7/8/10, 32-bit IFCPlugin.msi 3.0.7.0
Microsoft Windows 7/8/10, 64-bit IFCPlugin-x64.msi 3.0.7.0
Microsoft Windows 7/8/10, Административная версия плагина с установкой для всех пользователей ПК 32-bit IFCPlugin-admin.msi 3.0.6.0
Microsoft Windows 7/8/10, Административная версия плагина с установкой для всех пользователей ПК 64-bit IFCPlugin-admin-x64.msi 3.0.6.0
Apple Mac OS X 10.9 — 10.14 IFCPlugin.pkg 3.0.7.0
Linux LSB 3.6/4.0 (deb-based), 32-bit IFCPlugin-i386.deb 3.0.7.0
Linux LSB 3.6/4.0 (deb-based), 64-bit IFCPlugin-x86_64.deb 3.0.7.0
Linux LSB 3.6/4.0 (rpm-based), 32-bit IFCPlugin-i386.rpm 3.0.7.0
Linux LSB 3.6/4.0 (rpm-based), 64-bit IFCPlugin-x86_64.rpm 3.0.7.0

На главную Расширение для Google Chrome Работа с электронной подписью

Рассматриваемая конфигурация:

— один из дистрибутивов Linux (x86, x64),

— КриптоПро CSP 4.0 R4,

— плагин для работы с порталом государственных услуг (IFCPlugin) 3.0.6.0,

— ключевой контейнер с соответствующим квалифицированным сертификатом внутри,

— Mozilla Firefox,

— Google Chrome (только x64),

— Chromium GOST (только x64).

Порядок настройки:

1) Установить основные пакеты КриптоПро CSP 4.0 R4 (x86-rpm, x86-deb, x64-rpm, x64-deb) запуском скрипта install.sh,

пакеты lsb-cprocsp-pkcs11, cprocsp-rdr-gui-gtk и

необходимые пакеты для поддержки используемых ключевых носителей из состава дистрибутива КриптоПро CSP (если эти пакеты не установлены):

Ключевой носитель Дополнительные необходимые пакеты
флеш-накопитель, жесткий диск
смарт-карты (например, ОСКАР, Магистра) cprocsp-rdr-pcsc
Рутокен Lite cprocsp-rdr-pcsc, cprocsp-rdr-rutoken
Рутокен S cprocsp-rdr-pcsc, cprocsp-rdr-rutoken, ifd-rutokens
ESMART token cprocsp-rdr-pcsc, cprocsp-rdr-esmart
eToken, JaCarta cprocsp-rdr-pcsc, cprocsp-rdr-jacarta

При необходимости для удовлетворения зависимостей установить требуемые пакеты штатными средствами ОС.

2) Установить плагин для работы с порталом государственных услуг (IFCPlugin) 3.0.6.0 (x86-rpm, x86-deb, x64-rpm, x64-deb) (если он не установлен).

При необходимости для удовлетворения зависимостей установить требуемые пакеты штатными средствами ОС.

3) Загрузить файл конфигурации для IFCPlugin (x86, x64) в домашнюю директорию текущего пользователя.

4) Подключить ключевой носитель (флеш-накопитель, Рутокен, ESMART token и т.д.).

5) Выполнить в терминале команды:

для x86:

sudo rm /etc/ifc.cfg

sudo cp ~/ifcx86.cfg /etc/ifc.cfg

/opt/cprocsp/bin/ia32/csptestf -absorb -certs -autoprov

для x64:

sudo rm /etc/ifc.cfg

sudo cp ~/ifcx64.cfg /etc/ifc.cfg

/opt/cprocsp/bin/amd64/csptestf -absorb -certs -autoprov

6) Для Chromium GOST также выполнить в терминале команду:

sudo cp /etc/opt/chrome/native-messaging-hosts/ru.rtlabs.ifcplugin.json /etc/chromium/native-messaging-hosts

7) Проверить в используемом браузере (Mozilla Firefox, Google Chrome или Chromium GOST), что включено расширение — Расширение для плагина Госуслуг.

Расширение для Google Chrome/Chromium GOST.

8) На странице входа на портал Госуслуг:

— нажать на ссылку Вход с помощью электронной подписи,

— нажать на кнопку Готово,

— выбрать нужный сертификат электронной подписи,

— в окне Ввод пин-кода нажать кнопку Продолжить,

— при возникновении окна КриптоПро CSP ввести пин-код для ключевого контейнера в поле Пароль: и нажать кнопку OK.